---
layout: default
---

* TOC
{:toc}
### Acknowledgment

This site was copied and modified with permission from CSE 163 see there version of the site [here.](https://courses.cs.washington.edu/courses/cse163/20sp/zoom.html#accessingazoomevent)

# Accessing a Zoom Event

There are two main ways to access a Zoom event for CSE 340 described in the sections below. Choose whichever you find most convenient! **To access recordings of the lecture sessions, you will need to use the Zoom in Canvas option.**

When joining the call, if this is for a lecture or quiz section, you will automatically be added to the call assuming that the member of the course staff leading that session has started the call. If this is for office hours, you will be added to a waiting room and a course staff member will help you when they are available!

For further instructions, see UW-IT's documentation:

- [Sign into Zoom software on your computer](https://itconnect.uw.edu/connect/phones/conferencing/zoom-video-conferencing/zoom-software/)
    + ⚠️ **Important:** You will need to follow the instructions to "Login with SSO" so you can sign in with your UW Zoom account. For privacy reasons, only UW Zoom accounts will be allowed into our sessions.
- [UW Zoom FAQ](https://itconnect.uw.edu/connect/phones/conferencing/zoom-video-conferencing/uw-zoom-faq/)

## Zoom in Canvas

Click on the Zoom link on the left side of our Canvas course (or this link [here](https://canvas.uw.edu/courses/1370612/external_tools/95443)). This brings up a list of all Zoom meetings for this course (you will see more meetings since there will also be ones for office hours and sections).

![List view of Zoom in Canvas, 50%](1_Highlight_Zoom_Tab.png)

Say you want to join lecture on Friday, April 3. You will click on the "Join" button for lecture that day (shown in the image below), and it will launch a new tab that will launch Zoom. Note that your calendar will likely have more than one event per day (for office hours), **so make sure you click the right event!** This will then launch Zoom so you can join the meeting (or launch the Zoom app if you have downloaded that).

![Clicking on 'Join' link in Zoom in Canvas, 50%](2_Highlight_Meeting_Join.png)

## Canvas Calendar

Access your Canvas calendar by clicking on the Calendar option in the left-most side bar (or accessing this link [here](https://canvas.uw.edu/calendar?include_contexts=course_1371959)). The image below shows you what the Canvas calendar looks like. **Make sure in the Calendars section on the right that you have CSE 340 selected, otherwise none of our events will show up.** Your calendar likely has more events (including sections and office hours for this course).

You can switch between Week/Month/Agenda on the top right if there are too many events in the month view. You can also use the controls at the top to switch days.

![Canvas Calendar View, 50%](3_Calendar_View.png)

Say you want to join lecture on Friday, April 3. You will click on the event called "CSE 340 Lecture" in the calendar for that day, and then click "Click here to join Zoom Meeting: ..." shown in the picture below. Note that your calendar will likely have more than one event per day (for office hours), so **make sure you click the right event!** This will then launch Zoom so you can join the meeting (or launch the Zoom app if you have downloaded that).

![Clicking on the 'Join' link for a Zoom event in Canvas calendar, 50%](4_Calendar_Join_Highlighted.png)

# Accessing Lecture Recordings

The course staff does not think the lecture recordings will be particularly useful, since the majority of the time will be spent having you actively working on problems, but we will have them uploaded in case you can't attend! All of the "content" for that day will be in the lessons on Ed. There are no recordings of quiz sections or office hours. The university recommends that these events should not be recorded for student privacy reasons since they are not recorded in a regular quarter.

**To access recordings of the lecture sessions, you will need to use the Zoom in Canvas option.** Navigate to Zoom in Canvas (using the instructions above) and then click on the "Cloud Recording" tab (red rectangle in picture below). The click on the link for a lecture on a particular date (red oval in picture below) to launch the web player for the recording.

![Showing the Cloud Recordings tab of Zoom in Canvas, 50%](5_Cloud_Save_Highlighted.png)

# CSE 340 Zoom Norms and Best Practices

- If you are new to Zoom, you can always start your own call to get familiar with the interface!

- **Be respectful of one another and to the course staff!** Anything you would say or do in a Zoom call should match your behavior in-person! Be kind to everyone and think carefully about how your written messages come off in terms of tone. Some examples:

    - When writing out messages in a chat, it's usually convenient to make your messages short. However, short messages can sometimes come off as having an angry or dissatisfied tone, so think carefully about how someone will read the message you send!

    - Would you chew on cereal next to my ear while we were talking in my office hours? I would hope not! Mute your mic if you are chewing on food or making other noise, or if possible, save the meal for after the meeting!

- To the best of your ability, you should choose an appropriate space for joining into a Zoom call. A place where you can focus and won't be disturbed is ideal. If this is not feasible, try to use headphones to block out some noise around you and if possible use a headset with a microphone to avoid picking up as much noise around you as possible.

    - Maybe see if you can coordinate with housemates to minimize noise and internet access during an important Zoom call to save bandwidth and reduce noise.

- While you are not talking or sharing during a meeting, you should have your audio muted. You should get into the practice of muting/unmuting yourself as appropriate to avoid audio-feedback (and to signal to others that you are trying to say something).

- If you are sharing your video, try to make sure your background is not distracting. If possible, face the camera so your background is a plain background.

- During large group meetings (i.e. not in a breakout or in a small group) you should not turn on your microphone and speak unless called on to avoid unnecessary interruption. **You are encouraged to use the chat feature to message the course staff and other students in the room to ask questions, answer someone else's question, or comment on something the speaker is saying.** We will almost always have at least one other course staff member monitoring the chat to help answer questions or let the current speaker know they should answer something in the chat.

    - You are welcome to use the icons like "raise hand", "yes", etc. that Zoom provides, but those are generally harder to spot while presenting. We recommend using the chat instead!

- When we go to Zoom's Breakout Rooms, you should start by unmuting your microphone and turning on your video (if possible) and introduce yourself to your group mates! If neither of those options are possible, introduce yourself in the chat! It is probably best if you decide on one person to share their screen to pull up the problem we are working on so everyone can do it together!
    - When someone shares a screen in Zoom, it will make the Zoom app on your computer go into full screen mode. You can always press the Escape key on your computer to get Zoom to go back into windowed mode.
