---
layout: default
---

* TOC
{:toc}

{: .week}
# Week 1 (3/29): Introduction

{: .lecture} Introduction to Accessibility Technology
: **Learning Goals** Overview of accessibility and its relationship to computation; Introduction to Disability studies; History of disability rights

**Slides** {% include slide.html title="Introduction to Course" loc="wk01/intro.html" %}
**Slides** {% include slide.html title="Introduction to Accessibility" loc="wk01/accessibility.html" %}

**Take-home Exercise**
You will need to submit the [learning goals homework](assignments/hw0-learninggoals.html) homework by next class.

{: .lecture} Guest lecture
: Lecture by Kurt Johnson, Professor, Department of Rehabilitation Medicine on Disability Policy and Law

: **Reading**: Bobby Silverstein. Emerging Disability Policy Framework

**Prep for [Activity 1](assignments/act1-finding-accessibility.html)**

{: .week}
# Week 2 (4/5): Screen readers
**Readings and other Preparation** This is a first introduction to disability and an important starting place through providing a disability studies perspective up front in the class. 
: **Reading**
- [Disability Studies as a source of critical inquiry...](https://make4all.org/wp-content/uploads/2019/10/MankoffAssets2010.pdf)
- Optional: [semantics to screen readers](https://alistapart.com/article/semantics-to-screen-readers/)
- Optional: [rethinking web accessibility on Windows](https://www.marcozehe.de/rethinking-web-accessibility-on-windows/)

{: .lecture} Introduction to screen readers and begin forming teams for homework 1.

: **Learning Goals** Understand a disability-centered perspective and its impact on designing accessibility technologies, get introduced to screen readers.

**Activity 1 presentations**

{: .week}
# Week 3 (4/12): Screen Readers/Switch Access
**Readings and other Preparation**
- [Access Lab - the Switch](https://axesslab.com/switches/)
- [SAK: Scanning ambiguous keyboard for efficient one-key text entry](https://dl.acm.org/doi/10.1145/1806923.1806925)
- Optional viewing: [Switch Control overview](https://www.youtube.com/watch?v=GQKEE9nI1lk)
- Optional viewing: [One thumb to rule them all](https://www.youtube.com/watch?v=2BhHwk9qSvI)

{: .lecture} Introduction to switch access.
: **Learning Goals** Introduction to switch controls and building interfaces for use by people with limited mobility

**Slides TBD**

**Activity2 and HW1 work time.**

{: .lecture} Guest lecture 
: Lecture by Brett Humphrey, Microsoft on screen readers
: **Learning Goals** Practical advice on screen readers



{: .week}
# Week 4 (4/19): Accessible Media 
We will learn about best practices to make certain types of media accessible.
  - Intro to alt-text and audio description.
  - Describe a video.
  - Intro to captions.

**Readings**
- [What is audio description?](https://www.acb.org/adp/ad.html)
- [Rescribe: Authoring and Automatically Editing Audio Descriptions](https://amypavel.com/papers/rescribe.pdf) ([talk](https://www.youtube.com/watch?v=jmyPmT5T0PY))

{: .lecture} TBD lecture on intro to audio descriptions, captions and alt-text.
: **Slides**
TBD


{: .lecture} Homework 1 final presentations.
: **Slides** to be uploaded by students on canvas

{: .week}
# Week 5 (4/26): More alt text, captions and sound recognition 
**Readings**
- [Its complicated: Negotiating Accessibility and (Mis)Representation in Image Descriptions of Race, Gender and Disability](https://guoanhong.com/papers/CHI21-ImageDescriptions.pdf)
- [SoundWatch: Exploring Smartwatch-based Deep Learning Approaches to Support Sound Awareness for Deaf and Hard of Hearing Users](https://homes.cs.washington.edu/~djain/img/portfolio/Jain_SoundWatch_ASSETS2020.pdf)
- [vital corona virus is failing the blind and visually impaired](https://www.vice.com/en/article/4ag9wb/vital-coronavirus-information-is-failing-the-blind-and-visually-impaired)

{: .lecture} Tutorial on machine learning, intro to homework 2, and work time.
: **Slides** TBD

{: .lecture} Guest Lecture
: Lecture by [Cynthia Bennett](https://www.bennettc.com/)

**Slides** TBD

{: .week}
# Week 6 (5/3): Activism, advocacy and power 

**Readings**
- [How To Do Something Good In The Disability Community If You’re Not Disabled](https://www.forbes.com/sites/andrewpulrang/2020/12/16/how-to-do-something-good-in-the-disability-community-if-youre-not-disabled/?sh=4befcb377d7f)
- more readings coming soon!

{: .lecture} Homework 2 check-in
: lecture **We will have office hours with each team with a progress update on their HW2**.

{: .lecture} Accessibility work, activism and advocacy
: **Lecture content coming soon!**

{: .week}
# Week 7 (5/10): Corporate accessibility

{: .lecture} Final presentations for homework 2.
: **Process** Refer to the presentation component of homework 2 spec, coming soon..

{: .lecture} Guest lecture
: Guest lecture by Jenny Lay-Flurrie, Chief Accessibility Officer at Microsoft.
: **Slides** coming soon


{: .week}
# Week 8 (5/17): Accessibility's overlooked spaces

{: .lecture} Final project check-in
: process **Please be prepared to present your project idea for five minutes**. The class will discuss and provide feedback on this.

{: .lecture} Accessibility's overlooked spaces
: slides **coming soon**

{: .week}
# Week 9 (5/24): Accessibility checking!

{: .lecture} Final project check-in
: Process **teams present project status for in-class discussion**.

{: .lecture} Accessibility testing
: Slides **coming soon**
: **Readings (tentative)**
- [Google Video on Practical Web Accessibility](https://www.youtube.com/watch?v=x18vEEfpK3g) — this video provides a great overview of the Web and how to make web content accessible. Highly recommended as a supplement to what we will cover in class.
- [People with Disabilities say this AI is making the web worse for them](https://www.vice.com/en/article/m7az74/people-with-disabilities-say-this-ai-tool-is-making-the-web-worse-for-them)
- [COVID 19 websites violate disability laws](https://www.latimes.com/california/story/2021-02-25/covid-19-vaccine-websites-violate-disability-laws-create-inequity-for-the-blind)
- [Screen Recognition: Creating Accessibility Metadata for Mobile Applications from Pixels](https://docs-assets.developer.apple.com/ml-research/papers/screen-recognition-chi-2021.pdf)

{: .week}
# Week 10 (5/31): Web accessibility

{: .lecture} Project check-in
: **process** TBD

{: .lecture} Web accessibility
: **slides** TBD

{: .week}
# Finals week: Final presentations.

Logistics to be decided soon.

